- Get previous interactions
Get interaction call summaries
Get interactions
Get interaction by ID
Get interaction call summaries
Get interaction convo
Close interaction convo
Join interaction convo
Leave interaction convo
Get previous interactions
Download interaction recording
Download interaction voicemail
Get borrower interactions
Create interaction
Delete interaction
Get interaction by ID
Update interaction
Get interaction call summaries
Get cases associated with an interaction
Get previous interactions
Download interaction recording
Download interaction voicemail
Get previous interactions
For this interaction, get all the previous interactions linked to it via the previousInteractionId field.
Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
A list of additional interaction relationships to include in the response object.
- When
include=borrowertheborrowerfield will be populated (otherwise it will benull). This is data describing the borrower associated with this interaction. - When
include=contactthecontact`` field will be populated (otherwise it will benull`). This is contact data for the contact this interaction was sent to or from. - When
include=lastTaskMetathelastTaskMetafield will be populated (otherwise it will benull). This is meta data about the most recently ended task associated with this interaction.
You can include multiple fields by passing multiple values, e.g., include=borrower,contact.
Items Enum:"borrower""contact""lastTaskMeta"
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/companies/{companyId}/interactions/{interactionId}/previous?include=borrower' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "data": [ { … } ], "message": "string", "status": 0 }